	character*12 ac,dc
	character*30 dis
	write(*,*)
	write(*,*)'convert alpha delta to SUN Lamda Beta coordination'
	write(*,*)
10	write(*,*)' alpha,delta'
	read(*,'(a)')dis
	i=itohd(dis,alpha,delta,epoch)
	call toms(alpha,ac,1)
	call toms(delta,dc,0)
	write(*,*)ac,dc
	call ad_lb(alpha,delta,pl,pb)
	call toms(pl,ac,2)
	call toms(pb,dc,0)
	write(*,*)ac,dc
	goto 10
	end	

        subroutine ad_lb(al,de,pl,pb)           !hd-->dd
        cy=atan(1.)/45.
        cx=cy*15.
        xl=cos(de*cy)*cos(al*cx)
        xm=0.9175*cos(de*cy)*sin(al*cx)+0.3978*sin(de*cy)
        xn=-.3978*cos(de*cy)*sin(al*cx)+0.9175*sin(de*cy)
        pl=atan2(xm,xl)/cy
        if(pl.lt.0.)pl=pl+360.
        pb=asin(xn)/cy
        end
